=== doc/Makefile ===
# Makefile for Doxygen documentation
#
BUILDDIR=generated

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  dox        all variants of doxygen documentation"

dox:   
	doxygen doxy.conf

clean:
	rm -rf $(BUILDDIR)
