=== debian/changelog ===
ros-foxy-kobuki-driver (1.1.1-1focal) focal; urgency=high

  * [udev] bugfix low latency ftdi operation, #28 <https://github.com/kobuki-base/kobuki_core/pull/28>.
  * [demos] added an event demo, also minor cleanup, #27 <https://github.com/kobuki-base/kobuki_core/pull/27>.
  * [infra] don't use system headers for dependencies, #27 <https://github.com/kobuki-base/kobuki_core/pull/27>.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Aug 2020 04:00:00 -0000

ros-foxy-kobuki-driver (1.1.0-1focal) focal; urgency=high

  * [infra] ament_export_interfaces -> ament_export_targets, #21 <https://github.com/kobuki-base/kobuki_core/pull/21>.
  * [driver] bugfix correct size for pyaload length lookup, #19 <https://github.com/kobuki-base/kobuki_core/pull/19>`_.
  * [infra] license links updated, #15 <https://github.com/kobuki-base/kobuki_core/pull/15>.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Aug 2020 04:00:00 -0000

ros-foxy-kobuki-driver (1.0.0-1focal) focal; urgency=high

  * [infra] port and release for ROS2/Eloquent
  * [infra] udev rule and debian installation thereof, #13 <https://github.com/kobuki-base/kobuki_core/pull/13>.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 13 Jan 2020 05:00:00 -0000

ros-foxy-kobuki-driver (0.8.1-1focal) focal; urgency=high

  * remove unused and dodgy float builder, fixed uninitialised warnings, #53 <https://github.com/yujinrobot/kobuki_core/pull/53>.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Jan 2019 05:00:00 -0000

ros-foxy-kobuki-driver (0.8.0-1focal) focal; urgency=high

  * updated build infra for changes ament/eloquent

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Jan 2019 05:00:00 -0000

ros-foxy-kobuki-driver (0.7.7-1focal) focal; urgency=high

  * accel limiter variable initialisation bugfix

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Mar 2017 04:00:00 -0000

ros-foxy-kobuki-driver (0.7.6-1focal) focal; urgency=high

  * doxygen updates

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Mar 2017 04:00:00 -0000

ros-foxy-kobuki-driver (0.7.4-1focal) focal; urgency=high

  * drop spurious debugging cmake message that was throwing warnings

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-foxy-kobuki-driver (0.7.2-1focal) focal; urgency=high

  * Pose2D -> LegacyPose2D

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Nov 2016 05:00:00 -0000

ros-foxy-kobuki-driver (0.7.1-1focal) focal; urgency=high

  * isnan -> std::isnan

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 04:00:00 -0000

ros-foxy-kobuki-driver (0.6.3-1focal) focal; urgency=high

  * bugfix cliff header packet

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 04:00:00 -0000

ros-foxy-kobuki-driver (0.6.2-1focal) focal; urgency=high

  * enable the cx11 compiler

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-foxy-kobuki-driver (0.6.0-1focal) focal; urgency=high

  * add linear and angular test plot image
  * kobuki_driver : Updated doxygen. Issue #10 <https://github.com/yujinrobot/kobuki_core/issues/10>.
  * Contributors: Younghun Ju, jihoonl

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-foxy-kobuki-driver (0.5.3-1focal) focal; urgency=high

  * Updated doxygen documentation.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-foxy-kobuki-driver (0.5.2-1focal) focal; urgency=high

  * Documentation and other text files reviewed.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-driver (0.5.1-1focal) focal; urgency=high

  * Updated license info.
  * Updated doxygen in the code.
  * Update firmware_changelog.md.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-foxy-kobuki-driver (0.5.0-1focal) focal; urgency=high

  * Added debug topic of raw control command of robot.
  * Removed debugging message.
  * Updated doxygen about factory-default value of PID gain.
  * Add firmware version checking on PID commands.
  * Updated protocol specification in doxygen about custom PID gain setting.
  * Updated doxygen script to let user do something when authentification of repository is failed.
  * Bump minor version for firmware (new version is 1.2.0).
  * Improved packet integrity checking. Issue #245 <https://github.com/yujinrobot/kobuki/issues/245>.
  * Added new protocol about custom PID gain setting. Issue #249 <https://github.com/yujinrobot/kobuki/issues/249>.
  * Updated doxygen.
  * Removed ros logging code.
  * Removed meaningless buffer size check in serialization of command packet.
  * Fixed typo; mayor --> major.
  * Added integrity check for each packets.
  * Removed old printf codes.
  * Removed meaningless buffer size check in serialization of packets.
  * Fixed typo on update_doxygen.bash script.
  * Added extra url info on all packages.
  * Added brief description of update_doxygen.bash script.
  * Added convenient script for automated update of doxygen document to the github.io page.
  * Updated doxygen.
  * Updated old rnd email address.
  * Removed SetPower command packet from doxygen. It is not for external powers and unnecessary for kobuki.
  * Corrected typos on doxygen about external power.
  * lock api for protecting data access with asynchronous getXXX calls.
  * Fix URL to the previous changelog wiki
  * Changelogs at package level
  * Reset odometry also for heading
  * Updated raw_control_command topic to publish recevied command velocity also.
  * Added a debug topic that publish actual base command sent to robot.
  * Added simple_keyop application to control kobuki directly from keyboard without ROS.
  * Fixed broken synchronity of base control command caused by recent bugfix of acceleration limiter module.
  * Added flexible logging features to using named logging system of ros/log4cxx.
  * Reset odometry also works for heading (gyro).
  * Do not use robot_pose_ekf; use imu for heading and encoders for position.


