=== debian/control ===
Source: ros-foxy-kobuki-driver
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-ecl-build, ros-foxy-ecl-command-line, ros-foxy-ecl-config, ros-foxy-ecl-converters, ros-foxy-ecl-devices, ros-foxy-ecl-geometry, ros-foxy-ecl-mobile-robot, ros-foxy-ecl-sigslots, ros-foxy-ecl-threads, ros-foxy-ecl-time, ros-foxy-ros-workspace
Homepage: https://index.ros.org/p/kobuki_driver/github-kobuki-base-kobuki_core/
Standards-Version: 3.9.2

Package: ros-foxy-kobuki-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ecl-command-line, ros-foxy-ecl-config, ros-foxy-ecl-converters, ros-foxy-ecl-devices, ros-foxy-ecl-geometry, ros-foxy-ecl-mobile-robot, ros-foxy-ecl-sigslots, ros-foxy-ecl-threads, ros-foxy-ecl-time, ros-foxy-ros-workspace
Description: C++ driver library for Kobuki: Pure C++ driver library for Kobuki.
 This is for those who do not wish to use ROS on their systems.
